# Class ErrorSummaryMetrics

java.lang.Object
htsjdk.samtools.metrics.MetricBase
picard.analysis.MergeableMetricBase
picard.analysis.artifacts.ErrorSummaryMetrics

@DocumentedFeature(groupName="Metrics", summary="Metrics") public class ErrorSummaryMetrics extends MergeableMetricBase
Summary metrics produced by `CollectSequencingArtifactMetrics` as a roll up of the context-specific error rates, to provide global error rates per type of base substitution. Errors are normalized to the lexically lower reference base and summarized together. E.g. G>T is converted to C>A and merged with data from C>A for reporting.

## Nested Class Summary

### Nested classes/interfaces inherited from class MergeableMetricBase

`MergeableMetricBase.MergeByAdding, MergeableMetricBase.MergeByAssertEquals, MergeableMetricBase.MergingIsManual, MergeableMetricBase.NoMergingIsDerived, MergeableMetricBase.NoMergingKeepsValue`

## Field Summary

Fields
Modifier and Type
Field
Description
`char`
`ALT_BASE`
The alternative base (or it's complement).
`long`
`ALT_COUNT`
The number of alt bases observed.
`char`
`REF_BASE`
The reference base (or it's complement).
`long`
`REF_COUNT`
The number of reference bases observed.
`String`
`SUBSTITUTION`
A single string representing the substition from REF_BASE to ALT_BASE for convenience.
`double`
`SUBSTITUTION_RATE`
The rate of the substitution in question.

## Constructor Summary

Constructors
Constructor
Description
`ErrorSummaryMetrics()`

## Method Summary

Modifier and Type
Method
Description
`void`
`calculateDerivedFields()`
Placeholder method that will calculate the derived fields from the other ones.

### Methods inherited from class MergeableMetricBase

`canMerge, merge, merge, mergeIfCan`

### Methods inherited from class htsjdk.samtools.metrics.MetricBase

`equals, hashCode, toString`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### REF_BASE

public char REF_BASE
The reference base (or it's complement).

### ALT_BASE

public char ALT_BASE
The alternative base (or it's complement).

### SUBSTITUTION

public String SUBSTITUTION
A single string representing the substition from REF_BASE to ALT_BASE for convenience.

### REF_COUNT

public long REF_COUNT
The number of reference bases observed.

### ALT_COUNT

public long ALT_COUNT
The number of alt bases observed.

### SUBSTITUTION_RATE

public double SUBSTITUTION_RATE
The rate of the substitution in question.

## Constructor Details

### ErrorSummaryMetrics

public ErrorSummaryMetrics()

## Method Details

### calculateDerivedFields

public void calculateDerivedFields()
Description copied from class: `MergeableMetricBase`
Placeholder method that will calculate the derived fields from the other ones. Classes that are derived from non-trivial derived classes should consider calling super.calculateDerivedFields() as well. Fields whose value will change due to this method should be annotated with `NoMergingKeepsValue`.

Overrides:
  `calculateDerivedFields` in class `MergeableMetricBase`